Package twisted :: Package runner :: Module procmon :: Class LoggingProtocol

[frames | no frames]

## Class LoggingProtocol

    BaseProtocol --+
                   |
     ProcessProtocol --+
                       |
                      LoggingProtocol

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
| ``errReceived`(self, data)` Some data was received from stdout.
| ``outReceived`(self, data)` Some data was received from stdout.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished.
Inherited from ProcessProtocol
| ``childConnectionLost`(self, childFD)`
| ``childDataReceived`(self, childFD, data)`
| ``errConnectionLost`(self)` This will be called when stderr is closed.
| ``inConnectionLost`(self)` This will be called when stdin is closed.
| ``outConnectionLost`(self)` This will be called when stdout is closed.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `empty` = 1
`NoneType` | `name` = None
`NoneType` | `service` = None
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### errReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

### outReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

### processEnded(self, reason)

This will be called when the subprocess is finished.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ProcessProtocol.processEnded` (inherited documentation)

Class Variable Details

### empty

  Type:
    `int`
  Value:

        1

### name

  Type:
    `NoneType`
  Value:

        None

### service

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net